﻿"""
    COPYRIGHT 2013-2019 ESRI
    
    TRADE SECRETS: ESRI PROPRIETARY AND CONFIDENTIAL
    Unpublished material - all rights reserved under the
    Copyright Laws of the United States.
    
    For additional information, contact:
    Environmental Systems Research Institute, Inc.
    Attn: Contracts Dept
    380 New York Street
    Redlands, California, USA 92373
    
    email: contracts@esri.com
"""
#Cartographic Information Model generated file - do not modify
from .CIMEnum import *
from .CIMExternal import *
from .ArcpyHelper import GetPythonClass

class CIMBAVariableList():
    """
      Represents Business Analyst variable list.
    """
    name = str()
    iconData = str()
    author = str()
    dataSource = str()
    creationDate = GetPythonClass('datetime', 'datetime')
    lastRevisionDate = GetPythonClass('datetime', 'datetime')
    variables = []
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMBAVariableListVariable():
    """
      Represents variable of at variable list.
    """
    names = []
    valueTypes = []
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMHuffModelAttractivenessVariable():
    """
      Represents attractiveness variable used in Huff Model.
    """
    name = str()
    exponent = 0
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMHuffModelDistanceParameters():
    """
      Distance properties of the Huff Model calibration item.
    """
    exponent = 0
    dataSource = str()
    distanceUnits = esriUnits.esriMiles
    useTimeUnits = False
    timeUnits = esriTimeUnits.esriTimeUnitsMinutes
    useNetworkDistance = False
    travelModeId = str()
    towardsFacility = True
    timeOfDay = GetPythonClass('datetime', 'datetime')
    timeZone = str()
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMSegmentationProfile():
    """
      Business Analyst segmentation profile. Segmentation profile represents 
      distribution
    /// of the market (e.g. people or households) 
      between the segments of the segmentation system.
    /// For example, 
      it could represent the distribution of the customer base between 
      the segments.
    /// Segmentation profile can include the volumetric 
      information in addition to the counts,
    /// e.g. it could also 
      provide the distribution of the sales between segments.
    """
    name = str()
    segmentationSystem = str()
    segmentationBase = str()
    hasVolumetricData = False
    author = str()
    creationDate = GetPythonClass('datetime', 'datetime')
    lastRevisionDate = GetPythonClass('datetime', 'datetime')
    counts = []
    volumetricInformation = []
    volumetricValues = []
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMSegmentationTarget():
    """
      Business Analyst segmentation target. Target is a collection of 
      market segments
  /// that are treated as a whole. A user might 
      apply the same marketing strategy to
  /// all segments in a target, 
      for example.
    """
    name = str()
    segmentIDs = []
    color = 'CIMColor'
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMSegmentationTargetGroup():
    """
      Business Analyst target group. Target group represents a collection 
      of targets.
    """
    name = str()
    segmentationSystem = str()
    description = str()
    author = str()
    creationDate = GetPythonClass('datetime', 'datetime')
    lastRevisionDate = GetPythonClass('datetime', 'datetime')
    targets = []
    visualizationProperties = 'CIMSegmentationTargetGroupVisualizationProperties'
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMSegmentationTargetGroupVisualizationProperties():
    """
      Visualization properties of Business Analyst Segmentation target 
      group.
    """
    targetProfile = 'CIMSegmentationProfile'
    baseProfile = 'CIMSegmentationProfile'
    thresholdIndex = 0
    thresholdComposition = 0
    def __init__(self, *args, **Kwargs):
        pass
    
from .CIMDocument import CIMVersion
class CIMHuffModelCalibrationDocument(CIMVersion):
    """
      Represents a Huff Model calibration.
    """
    rMSError = 0
    rMSErrorLinear = 0
    attractivenessVariables = []
    distanceParameters = 'CIMHuffModelDistanceParameters'
    facilities = 'CIMDataConnection'
    facilitiesIDFieldName = str()
    customers = 'CIMDataConnection'
    customersIDFieldName = str()
    customerWeightFieldName = str()
    salesPotential = 'CIMDataConnection'
    salesPotentialIDFieldName = str()
    author = str()
    creationDate = GetPythonClass('datetime', 'datetime')
    lastRevisionDate = GetPythonClass('datetime', 'datetime')
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMSegmentationProfileDocument(CIMVersion):
    """
      Represents a document used for saving segmentation profile.
    """
    profile = 'CIMSegmentationProfile'
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMSegmentationTargetGroupDocument(CIMVersion):
    """
      Represents a document used for saving target group.
    """
    targetGroup = 'CIMSegmentationTargetGroup'
    def __init__(self, *args, **Kwargs):
        pass
    
