﻿"""
    COPYRIGHT 2013-2019 ESRI
    
    TRADE SECRETS: ESRI PROPRIETARY AND CONFIDENTIAL
    Unpublished material - all rights reserved under the
    Copyright Laws of the United States.
    
    For additional information, contact:
    Environmental Systems Research Institute, Inc.
    Attn: Contracts Dept
    380 New York Street
    Redlands, California, USA 92373
    
    email: contracts@esri.com
"""
#Cartographic Information Model generated file - do not modify
from .CIMEnum import *
from .CIMExternal import *
from .ArcpyHelper import GetPythonClass

class CIMGraphic():
    """
      Represents a graphic.
    """
    symbol = 'CIMSymbolReference'
    transparency = 0.0
    blendingMode = BlendingMode.Alpha
    masks = list()
    referenceScale = 0.0
    attributes = {}
    placement = Anchor.Unspecified
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMGraphicFrame():
    """
      Represents a graphic frame.
    """
    backgroundSymbol = 'CIMSymbolReference'
    borderSymbol = 'CIMSymbolReference'
    shadowSymbol = 'CIMSymbolReference'
    backgroundGapX = 0
    backgroundGapY = 0
    backgroundCornerRounding = 0
    borderGapX = 0
    borderGapY = 0
    borderCornerRounding = 0
    shadowOffsetX = 0
    shadowOffsetY = 0
    shadowCornerRounding = 0
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMLeader():
    """
      Represents the generic base type for leaders.
    """
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMInkGraphic(CIMGraphic):
    """
      Represents an ink graphic.
    """
    bounds = GetPythonClass('arcpy', 'Extent')
    inkData = str()
    roughSketch = GetPythonClass('arcpy', 'Polyline')
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMLeaderLine(CIMLeader):
    """
      Represents a leader line.
    """
    line = GetPythonClass('arcpy', 'Polyline')
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMLeaderPoint(CIMLeader):
    """
      Represents a leader point.
    """
    point = GetPythonClass('arcpy', 'Point')
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMPictureGraphic(CIMGraphic):
    """
      Represents a picture graphic.
    """
    pictureURL = str()
    box = GetPythonClass('arcpy', 'Extent')
    frame = 'CIMGraphicFrame'
    sourceURL = str()
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMShapeGraphic(CIMGraphic):
    """
      Represents a shape graphic, the generic base class for geometry 
      based graphics.
    """
    name = str()
    popupHtmlText = str()
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMTextGraphicBase(CIMGraphic):
    """
      Represents a text graphic base class, the generic base class for 
      text based graphics.
    """
    text = str()
    shape = GetPythonClass('arcpy', 'Geometry')
    leaders = []
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMLineGraphic(CIMShapeGraphic):
    """
      Represents a line graphic.
    """
    line = GetPythonClass('arcpy', 'Polyline')
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMMultiPatchGraphic(CIMShapeGraphic):
    """
      Represents a shape graphic with a MultiPatch geometry.
    """
    multiPatch = object()
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMMultipointGraphic(CIMShapeGraphic):
    """
      Represents a shape graphic with a Multipoint geometry.
    """
    multipoint = GetPythonClass('arcpy', 'Multipoint')
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMParagraphTextGraphic(CIMTextGraphicBase):
    """
      Represents a paragraph text graphic.
    """
    frame = 'CIMGraphicFrame'
    columnCount = 1
    columnGap = 5.0
    margin = 0.0
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMPointGraphic(CIMShapeGraphic):
    """
      Represents a point graphic.
    """
    location = GetPythonClass('arcpy', 'Point')
    leaders = []
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMPolygonGraphic(CIMShapeGraphic):
    """
      Represents a polygon graphic.
    """
    polygon = GetPythonClass('arcpy', 'Polygon')
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMTextGraphic(CIMTextGraphicBase):
    def __init__(self, *args, **Kwargs):
        pass
    
