﻿"""
    COPYRIGHT 2013-2019 ESRI
    
    TRADE SECRETS: ESRI PROPRIETARY AND CONFIDENTIAL
    Unpublished material - all rights reserved under the
    Copyright Laws of the United States.
    
    For additional information, contact:
    Environmental Systems Research Institute, Inc.
    Attn: Contracts Dept
    380 New York Street
    Redlands, California, USA 92373
    
    email: contracts@esri.com
"""
#Cartographic Information Model generated file - do not modify
from .CIMEnum import *
from .CIMExternal import *
from .ArcpyHelper import GetPythonClass

class CIMDiagramBuilderDefinition():
    """
      Represents a diagram builder definition.
    """
    rules = []
    layouts = []
    keepEdgeVertices = False
    containerMargin = 0.0
    network = str()
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMDiagramLayoutDefinition():
    """
      Represents a diagram layout definition.
    """
    name = str()
    description = str()
    properties = {}
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMDiagramRuleDefinition():
    """
      Represents a diagram rule definition.
    """
    name = str()
    description = str()
    isActive = True
    properties = {}
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMNetworkDiagram():
    """
      Represents a network diagram.
    """
    name = str()
    iD = str()
    isTransient = True
    isConsistent = True
    templateString = str()
    network = str()
    layerURI = str()
    def __init__(self, *args, **Kwargs):
        pass
    
from .CIMVectorLayers import CIMDataConnection
class CIMDiagramDatasetDataConnection(CIMDataConnection):
    """
      Represents a diagram dataset data connection.
    """
    workspaceConnectionString = str()
    workspaceFactory = WorkspaceFactory.SDE
    customWorkspaceFactoryCLSID = str()
    dataset = str()
    datasetType = esriDatasetType.esriDTAny
    """
      Represents a diagram dataset data connection.
    """
    featureDataset = str()
    """
      Represents a diagram dataset data connection.
    """
    diagramDataset = str()
    def __init__(self, *args, **Kwargs):
        pass
    
from .CIMLayer import CIMGroupLayer
class CIMDiagramLayer(CIMGroupLayer):
    """
      Represents a diagram layer.
    """
    referenceScale = 1.0
    dataConnection = 'CIMNetworkDiagramDataConnection'
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMDiagramRelQueryDataConnection(CIMDataConnection):
    """
      Represents a diagram rel query data connection.
    """
    workspaceConnectionString = str()
    workspaceFactory = WorkspaceFactory.SDE
    customWorkspaceFactoryCLSID = str()
    dataset = str()
    datasetType = esriDatasetType.esriDTAny
    """
      Represents a diagram rel query data connection.
    """
    featureDataset = str()
    """
      Represents a diagram rel query data connection.
    """
    diagramDatasetFeatureClass = esriDiagramDatasetFeatureClass.esriDiagramEdgeFeatureClass
    networkSourceID = 0
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMNetworkDiagramDataConnection(CIMDataConnection):
    """
      Represents a network diagram data connection.
    """
    workspaceConnectionString = str()
    workspaceFactory = WorkspaceFactory.SDE
    customWorkspaceFactoryCLSID = str()
    dataset = str()
    datasetType = esriDatasetType.esriDTAny
    """
      Represents a network diagram data connection.
    """
    featureDataset = str()
    """
      Represents a network diagram data connection.
    """
    diagram = str()
    isStored = False
    table = str()
    def __init__(self, *args, **Kwargs):
        pass
    
