﻿"""
    COPYRIGHT 2013-2019 ESRI
    
    TRADE SECRETS: ESRI PROPRIETARY AND CONFIDENTIAL
    Unpublished material - all rights reserved under the
    Copyright Laws of the United States.
    
    For additional information, contact:
    Environmental Systems Research Institute, Inc.
    Attn: Contracts Dept
    380 New York Street
    Redlands, California, USA 92373
    
    email: contracts@esri.com
"""
#Cartographic Information Model generated file - do not modify
from .CIMEnum import *
from .CIMExternal import *
from .ArcpyHelper import GetPythonClass

class CIMNetworkDatasetRenderer():
    """
      Represents a network dataset renderer.
    """
    label = str()
    visible = False
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMNetworkSourceDisplayFilter():
    """
      Represents a network source display filter.
    """
    networkSource = str()
    visible = False
    definitionExpression = str()
    def __init__(self, *args, **Kwargs):
        pass
    
from .CIMVectorLayers import CIMDataConnection
class CIMInMemoryDatasetDataConnection(CIMDataConnection):
    """
      Represents an in-memory dataset data connection.
    """
    dataset = str()
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMInMemoryWorkspaceDataConnection(CIMDataConnection):
    """
      Represents an in-memory workspace data connection.
    """
    binaryReferencePath = str()
    def __init__(self, *args, **Kwargs):
        pass
    
from .CIMLayer import CIMBaseLayer
class CIMNALayer(CIMBaseLayer):
    """
      Represents a network analysis layer.
    """
    standaloneTables = []
    """
      Represents a network analysis layer.
    """
    layers = []
    symbolLayerDrawing = 'CIMSymbolLayerDrawing'
    """
      Represents a network analysis layer.
    """
    nAWorkspace = 'CIMDataConnection'
    networkDataset = 'CIMDataConnection'
    solver = str()
    locator = str()
    agents = []
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMNetworkDatasetLayer(CIMBaseLayer):
    """
      Represents a network dataset layer.
    """
    dataConnection = 'CIMDataConnection'
    dirtyAreaRenderer = 'CIMNetworkDatasetSimpleRenderer'
    displayNetworkAttribute = str()
    edgeRenderer = 'CIMNetworkDatasetSimpleRenderer'
    junctionRenderer = 'CIMNetworkDatasetSimpleRenderer'
    missingElementRenderer = 'CIMNetworkDatasetElementCompositeRenderer'
    networkSourceDisplayFilters = []
    oneWayRenderer = 'CIMNetworkDatasetElementCompositeRenderer'
    restrictionNetworkAttributes = []
    restrictionRenderer = 'CIMNetworkDatasetElementCompositeRenderer'
    systemJunctionRenderer = 'CIMNetworkDatasetSimpleRenderer'
    trafficNetworkAttribute = str()
    trafficRenderer = 'CIMNetworkDatasetTrafficRenderer'
    traversableRenderer = 'CIMNetworkDatasetElementCompositeRenderer'
    turnRenderer = 'CIMNetworkDatasetSimpleRenderer'
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMTraceNetworkLayer(CIMBaseLayer):
    """
      Represents a trace network layer.
    """
    dataConnection = 'CIMDataConnection'
    pointErrorLayer = str()
    lineErrorLayer = str()
    systemJunctionsLayer = str()
    dirtyAreaLayer = str()
    connectivityAssociationSymbol = 'CIMSymbolReference'
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMUtilityNetworkLayer(CIMBaseLayer):
    """
      Represents a utility network layer.
    """
    dataConnection = 'CIMDataConnection'
    pointErrorLayer = str()
    lineErrorLayer = str()
    polygonErrorLayer = str()
    dirtyAreaLayer = str()
    connectivityAssociationSymbol = 'CIMSymbolReference'
    structuralAttachmentAssociationSymbol = 'CIMSymbolReference'
    containerAssociationSymbol = 'CIMSymbolReference'
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMNetworkDatasetElementCompositeRenderer(CIMNetworkDatasetRenderer):
    """
      Represents a network dataset element composite renderer.
    """
    edgeLineRenderer = 'CIMNetworkDatasetSimpleRenderer'
    edgePointRenderer = 'CIMNetworkDatasetSimpleRenderer'
    junctionPointRenderer = 'CIMNetworkDatasetSimpleRenderer'
    turnLineRenderer = 'CIMNetworkDatasetSimpleRenderer'
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMNetworkDatasetSimpleRenderer(CIMNetworkDatasetRenderer):
    """
      Represents a network dataset simple renderer.
    """
    description = str()
    symbol = 'CIMSymbolReference'
    def __init__(self, *args, **Kwargs):
        pass
    
class CIMNetworkDatasetTrafficRenderer(CIMNetworkDatasetRenderer):
    """
      Represents a network dataset traffic renderer.
    """
    breaks = []
    defaultDescription = str()
    defaultLabel = str()
    defaultSymbol = 'CIMSymbolReference'
    showLiveTrafficOnly = False
    useDefaultSymbol = False
    """
      Represents a network dataset traffic renderer.
    """
    drawLineWidthByHierarchyLevelIndex = False
    exteriorLineWidthIncrement = 0
    interiorLineWidthsByHierarchyLevelIndex = []
    lineCasingsColor = 'CIMColor'
    scaleFilters = []
    useDerivedLineCasingsColor = False
    useLineCasings = False
    useScaleFilters = False
    def __init__(self, *args, **Kwargs):
        pass
    
